<template>
  <div class="page-artists">
    <h1>Bohemian Artists.</h1>
    <p>We find these artists pretty bohemian. Do you too? :-)</p>

    <table>
      <thead>
        <tr>
          <th>Name</th>
          <th>Genre</th>
          <th>Decade established</th>
        </tr>
      </thead>
      <tbody>
        <tr
          v-for="artist in artists"
          :key="artist.name"
        >
          <td>{{ artist.name }}</td>
          <td>{{ artist.genre }}</td>
          <td>{{ artist.decade }}</td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>

export default {
  data () {
    return {
      'artists': [
        {name: 'The Beatles', genre: 'Pop', decade: 'Sixties'},
        {name: 'Red Hot Chili Peppers', genre: 'Rock', decade: 'Nineties'},
        {name: 'Pearl Jam', genre: 'Grunge rock', decade: 'Nineties'},
        {name: 'The Kooks', genre: 'Indie rock', decade: 'Noughties'},
        {name: 'The Strokers', genre: 'Indie rock', decade: 'Noughties'},
        {name: 'Joy Division', genre: 'New wave rock', decade: 'Nineties'},
        {name: 'White Stripes', genre: 'Garage rock', decade: 'Noughties'},
        {name: 'The Black Keys', genre: 'Garage rock', decade: 'Noughties'},
      ]
    }
  }
}
</script>

<style scoped>
.page-artists {
  padding: 40px;
}

h1 {
  margin-bottom: 20px;
}

p {
  margin: 20px 0px;
}

table {
  border-collapse: collapse;
  width: 100%;
  max-width: 800px;
}

table th, table td {
  padding: 5px 10px;
}

table th {
  border: 1px solid #000;
}
</style>